> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/wmt/reference/languageselect.md).

# Language Select

{% hint style="info" %}
The **`LanguageSelect`** template part renders an input control for selecting the current language of the WEM portal.

The input control is only rendered when the language strategy of the portal is set to "client's choice" rather than the default language or the browser's user agent.
{% endhint %}

{% hint style="success" %}
You can check the strategy using the `LanguageSelect` variable.
{% endhint %}

### Syntax

`<% LanguageSelect %>`

### Example

```html
<body>
    <header>
        <!-- Header content -->
        <? LanguageStrategy = "Cookie"
            <div class="language-select">
                <% LanguageSelect %>
            </div>
        ?>
        <!-- Header content -->
    </header>
    <!-- Body content -->
</body>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wem.io/platform/wemreference/wmt/reference/languageselect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
